org.apache.commons.ssl.asn1

## Class BEROctetStringGenerator.BufferedBEROctetStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.ssl.asn1.BEROctetStringGenerator.BufferedBEROctetStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

Enclosing class:
  BEROctetStringGenerator

    private class BEROctetStringGenerator.BufferedBEROctetStream
    extends java.io.OutputStream

### Field Summary

Fields
`private byte[]` `_buf`
`private int` `_off`

### Constructor Summary

Constructors
Constructor and Description
`BEROctetStringGenerator.BufferedBEROctetStream(byte[] buf)`

### Method Summary

Methods
`void` `close()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _buf

    private byte[] _buf

#### _off

    private int _off

### Constructor Detail

#### BEROctetStringGenerator.BufferedBEROctetStream

    BEROctetStringGenerator.BufferedBEROctetStream(byte[] buf)

### Method Detail

#### write

    public void write(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`